Page MenuHomePhabricator

Introduce DebugCounter into DCE pass
ClosedPublic

Authored by zhizhouy on Jul 31 2018, 11:23 AM.

Details

Summary

This patch introduces DebugCounter into DCE pass at per-transformation level.

It will provide an option skip first n or stop after n transformations for the whole DCE pass.

This will make debug easier for the pass, also providing chance to do transformation level bisecting.

Diff Detail

Repository
rL LLVM

Event Timeline

zhizhouy created this revision.Jul 31 2018, 11:23 AM
zhizhouy updated this revision to Diff 158828.Aug 2 2018, 1:16 PM

Add REQUIRES to test.

ping for reviewing... thanks!

davide accepted this revision.Sep 5 2018, 2:02 PM
This revision is now accepted and ready to land.Sep 5 2018, 2:02 PM
This revision was automatically updated to reflect the committed changes.